Expedia

Expedia Hotel Search Scraper

Extract hotel, flight, and travel details using the Expedia Hotel Search Scraper API endpoint.

This endpoint allows you to scrape the hotel search result data from Expedia.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/hotels/expedia/search/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

Expedia hotel search page URL

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/hotels/expedia/search/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://www.expedia.com/Hotel-Search?destination=Bangkok%20City%20Centre%2C%20Bangkok%2C%20Bangkok%20Province%2C%20Thailand&regionId=6200258&latLong=13.742479%2C100.521483&flexibility=0_DAY&d1=2025-12-12&startDate=2025-12-12&d2=2025-12-14&endDate=2025-12-14&adults=2&rooms=1&pwaDialog=fee-inclusive-pricing-sheet"  }'
{
  "status": "success",
  "data": {
    "searchId": "search_123456789",
    "destination": "Bangkok City Centre, Bangkok, Thailand",
    "checkIn": "2025-12-12",
    "checkOut": "2025-12-14",
    "adults": 2,
    "rooms": 1,
    "hotels": [
      {
        "hotelId": "hotel_1001",
        "name": "Grand Hyatt Erawan Bangkok",
        "address": "494 Rajdamri Road, Lumpini, Pathumwan, Bangkok 10330, Thailand",
        "latitude": 13.7425,
        "longitude": 100.5215,
        "starRating": 5,
        "guestRating": 4.6,
        "reviewCount": 1245,
        "price": {
          "originalPrice": 12000,
          "finalPrice": 10500,
          "currency": "THB",
          "priceDetails": {
            "taxesAndFees": 1500,
            "discount": 1500,
            "pricePerNight": 5250
          }
        },
        "amenities": [
          "Free Wi-Fi",
          "Pool",
          "Spa",
          "Restaurant",
          "Fitness Center",
          "Airport Shuttle"
        ],
        "roomTypes": [
          {
            "roomTypeId": "room_2001",
            "name": "Deluxe King Room",
            "description": "1 king bed, City view, Non-smoking",
            "maxOccupancy": 2,
            "price": {
              "originalPrice": 12000,
              "finalPrice": 10500,
              "currency": "THB"
            },
            "cancellationPolicy": "Free cancellation before Dec 10, 2025"
          }
        ],
        "images": [
          "https://example.com/images/grand-hyatt-1.jpg",
          "https://example.com/images/grand-hyatt-2.jpg"
        ],
        "isAvailable": true
      }
    ],
    "pagination": {
      "totalResults": 1,
      "resultsPerPage": 1,
      "currentPage": 1
    }
  },
  "metadata": {
    "apiVersion": "v1.0",
    "responseTime": "2025-12-11T14:30:00Z",
    "requestId": "req_987654321"
  }
}